# Generated by Django 2.2.6 on 2019-10-30 10:14

import django.core.validators
from django.db import migrations, models
import lucterios.framework.model_fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='SocialDeclaration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(unique_for_year=True, verbose_name='year')),
                ('quarter', models.IntegerField(choices=[(1, '1st quarter'), (2, '2nd quarter'), (3, '3rd quarter'), (4, '4st quarter')], default=1)),
                ('amount_service', lucterios.framework.model_fields.LucteriosDecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(0.0), django.core.validators.MaxValueValidator(9999999.999)], verbose_name='amount service')),
                ('amount_sell', lucterios.framework.model_fields.LucteriosDecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(0.0), django.core.validators.MaxValueValidator(9999999.999)], verbose_name='amount sell')),
                ('amount_other', lucterios.framework.model_fields.LucteriosDecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[django.core.validators.MinValueValidator(0.0), django.core.validators.MaxValueValidator(9999999.999)], verbose_name='amount other')),
            ],
            options={
                'verbose_name': 'social declaration',
                'verbose_name_plural': 'social declaration',
                'ordering': ['year', 'quarter'],
                'default_permissions': ['change'],
            },
        ),
    ]
